%define oname   activesupport

Name:       ruby-%{oname}
Version:    4.0.8
Release:    %mkrel 1
Summary:    Support and utility classes used by the Rails framework
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
# fwang: simplified patch from upstream:
# https://github.com/rails/rails/commit/9fef7c8dc9e2880932d676ee663adc0f053bd089.patch
Patch0:     activesupport-4.0.0-minitest5.patch
Patch1:     activesupport-add-bigdecimal-dependency.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Utility library which carries commonly used classes and goodies from the
Rails framework

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%apply_patches

%build
#don’t include vendor when possible
rm -rf lib/vendor/
%gem_build

%install
%gem_install


%changelog
* Thu Jul 03 2014 pterjan <pterjan> 4.0.8-1.mga4
+ Revision: 642610
- 4.0.8
- 4.0.7
- Update to 4.0.3 (no change)

* Tue Jan 21 2014 pterjan <pterjan> 4.0.2-2.mga4
+ Revision: 567278
- Add dependency on unbundled bigdecimal

* Sun Dec 29 2013 pterjan <pterjan> 4.0.2-1.mga4
+ Revision: 563102
- Update to rails 4.0.2 (CVE-2013-6417, CVE-2013-4491, CVE-2013-6415, CVE-2013-6414, CVE-2013-6416)

* Sat Dec 28 2013 pterjan <pterjan> 4.0.0-10.mga4
+ Revision: 562838
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 4.0.0-9.mga4
+ Revision: 561037
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 4.0.0-8.mga4
+ Revision: 535293
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 4.0.0-7.mga4
+ Revision: 481857
- Rebuild for Ruby 2

* Mon Sep 16 2013 fwang <fwang> 4.0.0-6.mga4
+ Revision: 480251
- correct patch
- use gem_setup

* Mon Sep 16 2013 fwang <fwang> 4.0.0-5.mga4
+ Revision: 480242
- rebuild for correct requires

* Tue Sep 10 2013 pterjan <pterjan> 4.0.0-4.mga4
+ Revision: 476936
- Fix file list

* Thu Jun 27 2013 fwang <fwang> 4.0.0-3.mga4
+ Revision: 447503
- more complete patch

* Thu Jun 27 2013 fwang <fwang> 4.0.0-2.mga4
+ Revision: 447499
- add upstream patch to work with minitest 5

* Thu Jun 27 2013 fwang <fwang> 4.0.0-1.mga4
+ Revision: 447410
- new version 4.0.0

* Sat Mar 23 2013 fwang <fwang> 3.2.13-1.mga3
+ Revision: 404623
- new version 3.2.13

* Tue Feb 12 2013 fwang <fwang> 3.2.12-1.mga3
+ Revision: 398010
- new version 3.2.12

* Fri Feb 08 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 395713
- Rebuild for CVE-2013-0256

* Sun Jan 20 2013 fwang <fwang> 3.2.11-1.mga3
+ Revision: 390185
- new version 3.2.11

* Mon Jan 14 2013 umeabot <umeabot> 3.2.9-2.mga3
+ Revision: 380650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 3.2.9-1.mga3
+ Revision: 330189
- New version 3.2.9

* Thu Nov 01 2012 fwang <fwang> 3.2.8-2.mga3
+ Revision: 312149
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 3.2.8-1.mga3
+ Revision: 280648
- New version 3.2.8 + Cleanup of Requires.
  Thanks to aghero (my apprentice) for the patch.

* Tue Aug 07 2012 shlomif <shlomif> 3.2.7-1.mga3
+ Revision: 279669
- New version 3.2.7

* Tue Jul 03 2012 shlomif <shlomif> 3.2.6-1.mga3
+ Revision: 267058
- New version 3.2.6

* Thu Jun 07 2012 shlomif <shlomif> 3.2.5-1.mga3
+ Revision: 256986
- New version: 3.2.5

* Sat Oct 29 2011 shikamaru <shikamaru> 2.3.14-1.mga2
+ Revision: 159702
- new version 2.3.14
- New version 2.3.11

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50617
- new version 2.3.11

* Fri Jan 28 2011 shikamaru <shikamaru> 2.3.10-4.mga1
+ Revision: 42514
- add requires

* Fri Jan 28 2011 shikamaru <shikamaru> 2.3.10-3.mga1
+ Revision: 42498
- delete optional vendor directory
- imported package ruby-activesupport


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.3.10-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618305
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585825
- bump release

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579503
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2011.0
+ Revision: 438619
- Update to new version 2.3.4

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 402805
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385322
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269230
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214636
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151202
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 17549
- 1.4.2

  + Pascal Terjan <pterjan@mandriva.org>
    - ri is now in ri/ and not ri/ri/
    - Use Development/Ruby group


* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.3.1-1mdv2007.0
- 1.3.1
- install gemspec
- don't try to fix /usr/local path, there is no binary

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.2.5-2mdk
- Don't ship too much ri, else we get conflicts
- Use global macros

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 1.2.5-1mdk
- First Mandriva release

